| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures
board_hitex_eva_18504350.c File Reference
`#include "board.h"`
`#include "string.h"`
`#include "lpc_phy_dp83848.c"`
`#include "retarget.c"`

Go to the source code of this file.

## Data Structures
struct | TSC2046_Init_T

## Macro Definition Documentation

#define COORD_GET_NUM (10)

Definition at line 98 of file board_hitex_eva_18504350.c.

#define LCD_DC_CMD (Chip_GPIO_WritePortBit(LPC_GPIO_PORT, 0x07, 8, false))

Definition at line 88 of file board_hitex_eva_18504350.c.

#define LCD_DC_DATA (Chip_GPIO_WritePortBit(LPC_GPIO_PORT, 0x07, 8, true))

Definition at line 89 of file board_hitex_eva_18504350.c.

#define PWRDOWN (TSC_START | TSC_CHANNEL_Y | TSC_CONVERSION_MODE | TSC_DFR_MODE | TSC_PD)

Definition at line 76 of file board_hitex_eva_18504350.c.

#define TSC2046_CONVERSION_BITS 12

Definition at line 52 of file board_hitex_eva_18504350.c.

#define TSC2046_COORD_MAX (0xFFF)

Definition at line 92 of file board_hitex_eva_18504350.c.

#define TSC2046_DELTA_VARIANCE (0x50)

Definition at line 93 of file board_hitex_eva_18504350.c.

#define TSC_12BIT (0x00 << 3)

Definition at line 59 of file board_hitex_eva_18504350.c.

#define TSC_8BIT (0x01 << 3)

Definition at line 58 of file board_hitex_eva_18504350.c.

#define TSC_ADC_ON 0x01

Definition at line 61 of file board_hitex_eva_18504350.c.

#define TSC_CHANNEL_X (0x05 << 4) /* differential */

Definition at line 54 of file board_hitex_eva_18504350.c.

#define TSC_CHANNEL_Y (0x01 << 4) /* differential */

Definition at line 55 of file board_hitex_eva_18504350.c.

#define TSC_CHANNEL_Z1 (0x03 << 4) /* differential */

Definition at line 56 of file board_hitex_eva_18504350.c.

#define TSC_CHANNEL_Z2 (0x04 << 4) /* differential */

Definition at line 57 of file board_hitex_eva_18504350.c.

#define TSC_CONVERSION_MODE TSC_12BIT

Definition at line 64 of file board_hitex_eva_18504350.c.

#define TSC_DFR_MODE (0x00 << 2) /* Differential Reference Mode */

Definition at line 70 of file board_hitex_eva_18504350.c.

#define TSC_PD 0x00

Definition at line 60 of file board_hitex_eva_18504350.c.

#define TSC_REF_ON 0x02

Definition at line 62 of file board_hitex_eva_18504350.c.

#define TSC_SER_MODE (0x01 << 2) /* Single-Ended Reference Mode */

Definition at line 69 of file board_hitex_eva_18504350.c.

#define TSC_START (0x01 << 7)

Definition at line 53 of file board_hitex_eva_18504350.c.

#define X_MEASURE (TSC_START | TSC_CHANNEL_X | TSC_CONVERSION_MODE | TSC_DFR_MODE | TSC_ADC_ON)

Definition at line 72 of file board_hitex_eva_18504350.c.

#define Y_MEASURE (TSC_START | TSC_CHANNEL_Y | TSC_CONVERSION_MODE | TSC_DFR_MODE | TSC_ADC_ON)

Definition at line 73 of file board_hitex_eva_18504350.c.

#define Z1_MEASURE (TSC_START | TSC_CHANNEL_Z1 | TSC_CONVERSION_MODE | TSC_DFR_MODE | TSC_ADC_ON)

Definition at line 74 of file board_hitex_eva_18504350.c.

#define Z2_MEASURE (TSC_START | TSC_CHANNEL_Z2 | TSC_CONVERSION_MODE | TSC_DFR_MODE | TSC_ADC_ON)

Definition at line 75 of file board_hitex_eva_18504350.c.

## Function Documentation

static Status Board_Audio_CodecInit | ( | int | micIn | ) |
| static

Definition at line 329 of file board_hitex_eva_18504350.c.

static void Board_LED_Init | ( | void |  | ) |
| static

Definition at line 422 of file board_hitex_eva_18504350.c.

static int16_t calibrateTSC2046 | ( | int16_t | Coord,
|  | int16_t | MinVal,
|  | int16_t | MaxVal,
|  | int16_t | TrueSize
| ) |  |
| static

Definition at line 302 of file board_hitex_eva_18504350.c.

static void delay | ( | uint32_t | i | ) |
| static

Definition at line 324 of file board_hitex_eva_18504350.c.

static void delayMs | ( | uint32_t | ms | ) |
| static

Definition at line 137 of file board_hitex_eva_18504350.c.

static Status evalTSC2046Coord | ( | uint8_t | command,
|  | uint16_t * | coord
| ) |  |
| static

Definition at line 274 of file board_hitex_eva_18504350.c.

static void initSSD1289 | ( | void |  | ) |
| static

Definition at line 195 of file board_hitex_eva_18504350.c.

static void lcdPinConfig | ( | void |  | ) |
| static

Definition at line 144 of file board_hitex_eva_18504350.c.

static void readWriteTSC2046 | ( | uint8_t | command,
|  | uint16_t * | data
| ) |  |
| static

Definition at line 252 of file board_hitex_eva_18504350.c.

static void writeLCDReg | ( | uint16_t | addr,
|  | uint16_t | data
| ) |  |
| static

Definition at line 168 of file board_hitex_eva_18504350.c.

## Variable Documentation

const uint8_t ledbits[] = {1, 5, 6, 8}
| static

Definition at line 49 of file board_hitex_eva_18504350.c.

TSC2046_Init_T TSC_Config
| static

Initial value:
= {
3758, 149, 3914, 163, 240, 320, 1
}

Local variables

Definition at line 101 of file board_hitex_eva_18504350.c.